Loading...
Searching...
No Matches
pcl::io::configurationProfile_t Struct Reference

`#include <pcl/compression/compression_profiles.h>`

## Public Attributes

double | pointResolution
const double | octreeResolution
bool | doVoxelGridDownSampling
unsigned int | iFrameRate
const unsigned char | colorBitResolution
bool | doColorEncoding

## Detailed Description

Definition at line 69 of file compression_profiles.h.

## Member Data Documentation

## colorBitResolution

const unsigned char pcl::io::configurationProfile_t::colorBitResolution

Definition at line 75 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, Octree2BufBase< LeafT, BranchT > >::initialization().

## doColorEncoding

bool pcl::io::configurationProfile_t::doColorEncoding

Definition at line 76 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, Octree2BufBase< LeafT, BranchT > >::initialization().

## doVoxelGridDownSampling

bool pcl::io::configurationProfile_t::doVoxelGridDownSampling

Definition at line 73 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, Octree2BufBase< LeafT, BranchT > >::initialization().

## iFrameRate

unsigned int pcl::io::configurationProfile_t::iFrameRate

Definition at line 74 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, Octree2BufBase< LeafT, BranchT > >::initialization().

## octreeResolution

const double pcl::io::configurationProfile_t::octreeResolution

Definition at line 72 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, Octree2BufBase< LeafT, BranchT > >::initialization().

## pointResolution

double pcl::io::configurationProfile_t::pointResolution

Definition at line 71 of file compression_profiles.h.

Referenced by pcl::io::OctreePointCloudCompression< PointT, LeafT, BranchT, Octree2BufBase< LeafT, BranchT > >::initialization().

The documentation for this struct was generated from the following file:

- pcl/compression/compression_profiles.h